Page MenuHomePhabricator

Keep suggestions for later (star suggestions)
Closed, ResolvedPublic1 Story Points

Description

When looking at suggestions, users may find interesting articles to translate for which they don't have time at the moment. Being able to mark those to easily find them later, helps to decouple the selection of articles from the translation activity, decreasing the chance of missing translation opportunities.

#Acceptance criteria

  1. Suggestions include a star icon that allows to mark them for later.
    1. A tooltip will show "Mark for later" when hovering the star icon.
    2. When the user clicks the star, the suggestion will be removed from the suggestion list and will be added to the "For later" list.
  2. Once there is more than one list, labels are shown for each, but not otherwise:
    1. If the suggestions is the only list shown to the user (i.e., "for later" or any other list are empty), no especial label is shown for suggestions, and empty lists are not shown in any way.
    2. If the "for later" list contains any element, the "For later" and "Suggestions for you" labels are used above the corresponding lists.
  3. Items in the "for later" list are shown in a compact way.
    1. Including an explicit "Start translating" action.
    2. Including a highlighted star to allow removing them from the "for later" list and adding them back to the suggestions list.

Additional design details

Dashboard without any translation for later:

  • Since the list is empty it is not represented in any way.
  • Items in the list of suggestions have a star icon to be added to the "for later" list.

Dashboard with one translation for later:

The "for later" list is a default list that is useful beyond the suggestions in the dashboard. In other contexts where users can start a translation, we can consider to keep an option to "add for later". We can define separate tickets to incorporate the idea to the "New translation" dialog, red link cards and similar areas of the UI.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterDiscard and favorite the suggestions

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2015, 10:50 AM
Pginer-WMF updated the task description. (Show Details)Sep 1 2015, 11:19 AM
Pginer-WMF set Security to None.
Amire80 triaged this task as Normal priority.Sep 4 2015, 7:44 AM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Sep 4 2015, 3:16 PM
Arrbee moved this task from Backlog to In Progress on the LE-CX6-Sprint 4 board.Sep 17 2015, 8:12 AM
santhosh claimed this task.Sep 22 2015, 7:50 AM

Change 239059 had a related patch set uploaded (by Santhosh):
WIP: Discard and favorite the suggestions

https://gerrit.wikimedia.org/r/239059

WIP version:

Arrbee moved this task from Backlog to In Progress on the LE-CX6-Sprint break board.
santhosh moved this task from Backlog to In review on the LE-CX7-Sprint 1 board.Oct 6 2015, 12:01 PM
santhosh edited a custom field.Oct 7 2015, 4:44 AM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 7 2015, 10:03 AM
Pginer-WMF moved this task from Backlog to In Review on the LE-CX7-Sprint 2 board.Oct 21 2015, 7:14 AM

Change 239059 merged by jenkins-bot:
Discard and favorite the suggestions

https://gerrit.wikimedia.org/r/239059

Nikerabbit moved this task from In Review to QA on the LE-CX7-Sprint 2 board.Oct 22 2015, 6:45 AM
Arrbee moved this task from QA to Done on the LE-CX7-Sprint 2 board.Oct 27 2015, 7:06 AM
Arrbee closed this task as Resolved.Dec 2 2015, 7:28 AM
Arrbee added a subscriber: Arrbee.